PaidGoods
API referenceCustomer account

A ticket and its messages

GET
/v1/public/stores/{storeId}/account/tickets/{ticketId}

Path Parameters

storeId*string
ticketId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/public/stores/string/account/tickets/string"
{  "ticket": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "number": -9007199254740991,    "subject": "string",    "state": "open",    "priority": "low",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "customerEmail": "string",    "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",    "assignedTo": "7869c1a9-a680-4086-b6f5-9e78a651f6f2",    "messagesCount": -9007199254740991,    "lastMessage": {      "authorType": "customer",      "excerpt": "string"    },    "lastMessageAt": "string",    "createdAt": "string"  },  "messages": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "authorType": "customer",      "authorName": "string",      "bodyMd": "string",      "bodyHtml": "string",      "attachments": [        {          "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",          "filename": "string",          "size": -9007199254740991        }      ],      "createdAt": "string"    }  ],  "order": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "number": -9007199254740991,    "uniqueId": "string",    "paymentStatus": "string",    "fulfilmentStatus": "string",    "lines": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "kind": "product",        "parentLineId": "e3155d04-c7a2-4329-90d3-c2d00f97e087",        "name": "string",        "variant": "string",        "qty": -9007199254740991,        "status": "string",        "deliveryStatus": "string",        "deliveryMessage": "string"      }    ]  }}